<script>
  // Properties

  export let data = [];
  export let year=0;
  const continents = ["europe", "asia", "americas", "africa"];
  export let menu="all";
  
  let reset=false;
  let name="Start";


 //Functions
function year_plus() {
  if(year==214){
    year=0;
  }else{
    year++;
  }
}

function turn_on(){
  if(reset==false){
    reset = setInterval(year_plus, 100);
    name="Stop";
  }else{
    clearInterval(reset);
    reset=false;
    name="Start";
  }
}

function turn_off(){
  clearInterval(reset);
  reset=false;
  year=0;
}

</script>

<div class="row">
  <div class="col-4">
    <button type="button" class="btn btn-primary" on:click={turn_on}>{name}</button>
    <button type="button" class="btn btn-primary" on:click={turn_off}>Reset</button>
  </div>
  <div class="col-5">
    <p>Year: {year+1800} </p>
    <input type="range" class="form_range" min="0" max="214" bind:value={year}>
  </div>
  <div class="col-3">
    <select class="form-select" bind:value={menu}>
      <option selected value={menu}>all</option>
    {#each continents as ct}
      <option selected value={ct}>{ct}</option>
    {/each}
    </select>
  </div>
</div>

